<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion();
$sesion->set('permiso',permisos($_POST['privilegio']));

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));
	exit;	
}

require_once('../includes/MySQL.php');
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
if(trim($_REQUEST['accion'])!='new'){
	
	
	$codigo=$_REQUEST[codigo];
	$sql="SELECT ide_adtivo, cod_adtivo, ape1_adtivo, ape2_adtivo, no1_adtivo, no2_adtivo, genero, cod_cargo FROM adm_administrativos WHERE cod_adtivo='$codigo'";

	$academia->instruccion($sql);
	$row=$academia->extraer_registro();
	$ideadtivo=$row['cod_adtivo']; // aut
	$codadtivo=$row['ide_adtivo'];
	
	$ape1adtivo=$row['ape1_adtivo'];
	$ape2adtivo=$row['ape2_adtivo'];
	$no1adtivo=$row['no1_adtivo'];
	$no2adtivo=$row['no2_adtivo'];
	$gener=$row['genero'];
	$carg=$row['cod_cargo'];
	$accion='edit';
}
else
{
	$ideadtivo='';
	$codadtivo='';
	$ape1adtivo='';
	$ape2adtivo='';
	$no1adtivo='';
	$no2adtivo='';
	$gener='';
	$carg='';
	$accion='add';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Administrativos</title>

<script  type="text/javascript">


//---------------------------------------------------------------------------------------------------------------------
$(document).ready(function(){
	$("#accion").click(function(){
		var tipo=$(this).attr('acc');
		if(tipo=='new'){
			<?php $ms='newexito' ?>
		}else{
			<?php $ms='editexito' ?>
		}
		var newDt={
			ide_adtivo:$("#txtcc").val(),	
			nom_ape:$.trim($("#txtape1").val() + " "+$("#txtape1").val()+" " +" "+$("#txtnom1").val()+" "+$("#txtnom2").val()),
			
			genero:$("txtgenero input[type=radio] ").val(),
			cargo:$("#txtcargo option:selected").html(),
			

		}
		var conf={
			url:'mod_administrativos/opera_administrativos.php',
			data:$("#administrativos_new_edit").serialize(),
			modulo:'administrativos',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			msg_cmps_oblg:'<?php echo $cleguaje->Phrase('global','cmpobl') ?>', //mensaje campos obligatorios
			msgExito:'<?php  echo $cleguaje->Phrase('global', $ms) ?>',
			msg_espere:'<?php  echo $cleguaje->Phrase('global', 'msg_espera') ?>',	
			id_grilla:'listado_administrativos'		,
			evento:tipo,
			frm:"#administrativos_new_edit",
			data_grid:newDt,
		}
		acciones(conf);
	})
	
	
	$(this).bind('cbox_complete',function(){
		$("#txtcc").focus();
	})
	
	$("#txtcc").valida({
		rulers:3,
		mincar:6,
		lcapital:false
	});
	$("#txtape1, #txtno1").valida({
		rulers:2,
		mincar:3,
	});
	
	$("#txtape2, #txtno2").valida({
		rulers:2,
		mincar:3,
		required:false
	});
	
	$("#txtcargo").valida_select()
	
})



</script>


</head>

<body>
<form  method="post" name="administrativos_new_edit" id="administrativos_new_edit">
<input name="id" type="hidden" id="id" value="<?php echo $ideadtivo ?>" />
<input name="oper" type="hidden" id="oper" value="<?php echo $accion ?>" />
<table width="680" border="0" align="center" cellpadding="2">
  <tr>
    <td colspan="4" align="center" class="ui-widget-header"><?php echo $cleguaje->Phrase('global','dt_perso') ?></td>
    </tr>
  <tr>
    <td colspan="4"><span class="tit1"><?php echo $cleguaje->getField('global','num_doc') ?></span>
      <div>
        <input name="txtcc" type="text" class="tit2" id="txtcc" value="<?php echo  $codadtivo  ?>" />
      </div></td>
    </tr>
  <tr>
    <td><span class="tit1"><?php echo $cleguaje->getField('global','pri_ape') ?></span>
<div>
  <input name="txtape1" type="text" class="tit2" id="txtape1" value="<?php echo  $ape1adtivo  ?>" />
    </div></td>
    <td><span class="tit1"><?php echo $cleguaje->getField('global','seg_ape') ?></span>
<div>
  <input name="txtape2" type="text" class="tit2" id="txtape2" value="<?php echo  $ape2adtivo  ?>" />
    </div></td>
    <td><span class="tit1"><?php echo $cleguaje->getField('global','pri_nom') ?></span>
<div>
  <input name="txtno1" type="text" class="tit2" id="txtno1" value="<?php echo  $no1adtivo  ?>" />
    </div></td>
    <td><span class="tit1"><?php echo $cleguaje->getField('global','seg_nom') ?></span>
<div>
  <input name="txtno2" type="text" class="tit2" id="txtno2" value="<?php echo  $no2adtivo  ?>" />
    </div></td>
  </tr>
  <tr>
    <td colspan="4">
    <table width="100%" border="0">
      <tr>
            <td width="25%"><span class="tit1"><?php echo $cleguaje->getField('global','sexo') ?></span><span class="estilo2">
              <div class="tit2"><input name="txtgenero" type="radio" value="M" checked="checked" <?php echo trim($gener)=='M' ? 'checked="checked"' :''  ?> />M
								<input type="radio" name="txtgenero" id="radio" value="F" <?php echo trim($gener)=='F' ? 'checked="checked"' :''  ?> />
F</div></span></td>
    <td><span class="tit1"><?php echo $cleguaje->getField('administrativos','cargo') ?></span>
      <div>
        <select name="txtcargo" class="tit2" id="txtcargo" style="width:200px">
          <?php	
                $cmps="cod_cargo,nom_cargo";
                $ord='ORDER BY nom_cargo ASC';
                $tabla="adm_cargos";
                $cmpcnd="";
                $default=$carg;
                mostrar_cont_selec($cmps, $tabla,$cmpcnd, $ord,$default,false,'',0);
			 ?>
        </select>
      </div>  <div></div></td>
    </tr>
    </table></td>
    </tr>
  <tr class="tit1">
    <td colspan="4" align="center" >
      <?php
		if($_REQUEST['accion']!='nuevo')
			echo "<img src='images/guardar.png' acc='edit' alt='Actualizar' width='20' height='20' class='opera' title='Actualizar' id='accion'/>";
		else
			echo "<img src='images/guardar.png' acc='new' alt='Guardar' width='20' height='20' class='opera' title='Guardar' id='accion'/>";
	?>      </td>
  </tr>
</table>
</form>
<?php
	$academia->cerrar();
?>
</body>
</html>